// This file is part of PyCm, a Python interface to the Cm library
//
// Copyright (C) 2020-2021  European Gravitational Observatory
//
// Author list: Franco Carbognani: franco.carbognani@ego-gw.it
//                   Rhys Poulton: poulton@ego-gw.it
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

#include <stdio.h>
#include <stdlib.h>
#include "CmMessage.h"


char MySmsString[65536]="";

int WriteSmsString(char *DeviceString){
	sprintf(MySmsString,DeviceString);
}

/********************************************************************************/
CmMessageStatus H_FbGetAllSmsData(CmMessage message,char *sender,char *receiver)
/********************************************************************************/
{
	/*FbGetAllSmsData*/
	char string[65536];
	char *text, *timeIN;
	int frameN;
	CmMessage message1;

	text=CmMessageGetText(message);
	timeIN=CmMessageGetText(message);
	frameN=CmMessageGetInt(message);

	sprintf(string,MySmsString);
	free(MySmsString);

	message1=CmMessageNew();
	CmMessageSetType(message1,"FbSmsData");
	CmMessagePutInt(message1,frameN);
	CmMessagePutText(message1,string);
	if(!CmMessageSend(message1,sender)) printf("Cannot send answer");
	CmMessageDelete(message1);
	return (CmMessageOk);
}

